Subject: Re: ping on cygwin?
From: Tino Lange <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 13 Jan 2003 17:13:59 +0100

Hi Larry!

>> I found that the Windows %SYSTEM32/ping.exe does not provide return 
>> codes and has some other drawbacks.
>> 
>> Looking hard I couldn't locate a /bin/ping in the cygwin distribution. 
>> Didn't I look enough? Or is it really not there? Why?
>> 
>> Maybe you know some other (besides cygwin and MS builtin) 'ping.exe' 
>> that is scriptable with proper return values - like the unix ones?!

> See the FAQ entry:
> 
> What packages should I download?
> http://cygwin.com/faq/faq_2.html#SEC13
> 
> This will direct you to http://cygwin.com/packages/ which can be used 
> for the general inquiry of 'Is XXX utility/file part of a Cygwin package?'

Using these links you sent to me and the search engine on the packages 
page also supported my statement that 'ping' unfortunately doesn't seem 
to be part of any cygwin package, just as I already thought.

So my two other questions are of relevance and seem to be reasonable:

Why? (Serious problems? Problems using raw sockets as non-Administrator? 
If not, maybe I can help porting this tool?)

and/or

Maybe one of the readers here knows some other 'ping.exe' that is 
suitable for scripting? The MS one isn't :-(

Thanks for your answer!

Tino

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/